/* 32bitOps.h */

#ifndef __32BITOPS
#define __32BITOPS

#include <stdio.h>	/* file-stuff will be added */

typedef	unsigned long		S32;		// 32-bit string type

typedef S32 (* R32)(S32, S32) ;


/*****************************************/

S32	reactionA1(S32 s1, S32 s2);
void	reactionInitA1();


S32	reactionA2(S32 s1, S32 s2);
void	reactionInitA2();


/*****************************************/


void			opsAutoDoc(FILE *fh);

unsigned long int	run(unsigned long int objCode, unsigned long int operand);
unsigned long int	runN(unsigned long int objCode, unsigned long int operand, int rate);


char			*disAss(unsigned long int objCode);
unsigned long int	ass(char *srcCode);
unsigned long int	assFromFile(char *srcFileName);
unsigned long int	assFromFH(FILE *fh);
void			printAss();
void			fprintAss(FILE *fh);
void			fprintBin(FILE *fh, unsigned long int data, int length);

void			setResultDefault(unsigned long resultDefault);
void			setNoCorrection();
void			setInstructionTable(int no);
void			setBindingPref(int bf);
void			setOpsDebug(int level);


char			*ulToBin(unsigned long int val, int length);



#endif
